[new][puppet] puppet-octavia 10.0.0 release (ocata)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[new][puppet] puppet-octavia 10.0.0 release (ocata)

no-reply
We are ecstatic to announce the release of:

puppet-octavia 10.0.0: Puppet module for OpenStack Octavia

This is the first release of puppet-octavia. This release is part of
the ocata release series.

Download the package from:

    https://tarballs.openstack.org/puppet-octavia/

For more details, please see below.

Changes in puppet-octavia ee40a2c336ad5470def51485e1f65ba3c6b75a05..10.0.0
--------------------------------------------------------------------------

998df3c Prepare 10.0.0 release
66bffc7 Remove rabbit connection paramters
991df0b Add requirements in metadata.json file
6c74a52 Fix documentation for log_dir parameter
97acdd0 Add basic structure for ReNo
c620c4c Move rspec-puppet-facts to spec helper
2b383a0 Added retries for db_sync
5bf9d85 Fix authtoken
cf115ac Move octavia to authtoken
239cfc6 Adding housekeeping.pp
db34ab2 Adding health_worker.pp
6ef738f Implement worker.pp
a31c31c Include openstacklib defaults manifest.
2328030 Update metadata
ebab1a5 Update db_sync command
bcf3238 Add nodepool-xenial.yml file
6f701d6 Implement api.pp
ffaee4f metadata: fix module name
e8e6a52 Provide default service_name for keystone endpoint
4b879bb Add purge_config option
8a0412c Test multiple operating systems for policy
8b378a8 Implement init.pp class
c6eacb4 Fix typo in logging_spec
f48a1a1 Change wiki to docs
d175681 Add support for the oslo db_max_retries parameter
5e3f167 Switch octavia to oslo
70f92e5 Fix the version dependencies of openstacklib
e464292 Remove verbose option in logging
d720df0 Test multiple operating systems for octavia::db::postgresql
f9e0c01 Totally drop Qpid support
b5447b3 Gemfile: rely on puppet-openstack_spec_helper for dependencies
481dde1 puppet-octavia: Initial commit




Requirements updates
--------------------

diff --git a/test-requirements.txt b/test-requirements.txt
new file mode 100644
index 0000000..bedd666
--- /dev/null
+++ b/test-requirements.txt
@@ -0,0 +1,4 @@
+# this is required for the docs build jobs
+sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
+oslosphinx>=2.5.0 # Apache-2.0
+reno>=0.1.1 # Apache-2.0



_______________________________________________
OpenStack-announce mailing list
[hidden email]
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-announce